import './assets/main.scss';

import { createApp } from 'vue';
import { createPinia } from 'pinia';
import ElementPlus from 'element-plus';
import 'element-plus/dist/index.css';
import 'leaflet/dist/leaflet.css';

import App from './App.vue';
import router from './router';
import i18n from './i18n'; // 引入 i18n 配置

// 创建 Vue 应用实例
const app = createApp(App);


// 使用插件和服务
app.use(createPinia());
app.use(router);
app.use(ElementPlus,);
app.use(i18n); // 使用 i18n

// 挂载应用
app.mount('#app');



